<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCallManagerReq StructType
 * @subpackage Structs
 */
class AddCallManagerReq extends APIRequest
{
    /**
     * The callManager
     * @var XCallManager
     */
    public $callManager;
    /**
     * Constructor method for AddCallManagerReq
     * @uses AddCallManagerReq::setCallManager()
     * @param XCallManager $callManager
     */
    public function __construct(XCallManager $callManager = null)
    {
        $this
            ->setCallManager($callManager);
    }
    /**
     * Get callManager value
     * @return XCallManager|null
     */
    public function getCallManager()
    {
        return $this->callManager;
    }
    /**
     * Set callManager value
     * @param XCallManager $callManager
     * @return AddCallManagerReq
     */
    public function setCallManager(XCallManager $callManager = null)
    {
        $this->callManager = $callManager;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCallManagerReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
